Bug 1794011 - python-mplcairo fails to build in Fedora with gcc 10
Summary: python-mplcairo fails to build in Fedora with gcc 10
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-mplcairo
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On: 1794094
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-22 13:55 UTC by Miro Hrončok
Modified: 2020-01-28 09:36 UTC (History)
2 users (show)

Fixed In Version: gcc-10.0.1-0.6.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-28 09:36:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-22 13:55:17 UTC
Description of problem:
Package python-mplcairo fails to build from source in Fedora rawhide.

gcc -pthread -Wno-unused-result -Wsign-compare -DDYNAMIC_ANNOTATIONS_ENABLED=1 -DNDEBUG -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -D_GNU_SOURCE -fPIC -fwrapv -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fPIC -Ibuild/include -I/usr/include/pybind11 -I/usr/include/pybind11 -I/usr/lib64/python3.8/site-packages/cairo/include -I/usr/include/python3.8 -c src/_unity_build.cpp -o build/temp.linux-x86_64-3.8/src/_unity_build.o -std=c++1z -fvisibility=hidden -flto -Wall -Wextra -Wpedantic -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16
*** WARNING *** there are active plugins, do not report this as a bug unless you can reproduce it without enabling any plugins.
Event                            | Plugins
PLUGIN_FINISH_UNIT               | annobin: Generate final annotations
PLUGIN_START_UNIT                | annobin: Generate global annotations
PLUGIN_ALL_PASSES_START          | annobin: Generate per-function annotations
PLUGIN_ALL_PASSES_END            | annobin: Register per-function end symbol
In file included from /usr/include/pybind11/cast.h:13,
                 from /usr/include/pybind11/attr.h:13,
                 from /usr/include/pybind11/pybind11.h:44,
                 from src/_util.h:8,
                 from src/_mplcairo.h:3,
                 from src/_mplcairo.cpp:1,
                 from src/_unity_build.cpp:2:
/usr/include/pybind11/pybind11.h: In constructor ‘pybind11::class_<type_, options>::class_(pybind11::handle, bool)’:
/usr/include/pybind11/pybind11.h:1058:5: internal compiler error: in nothrow_spec_p, at cp/except.c:1247
 1058 |     PYBIND11_OBJECT(class_, generic_type, PyType_Check)
      |     ^~~~~~~~~~~~~~~
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccbaWrLW.out file, please attach this to your bugreport.

Version-Release number of selected component (if applicable):
0.2-1.fc32

Steps to Reproduce:
koji build --scratch f32 python-mplcairo-0.2-1.fc32.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/python-mplcairo

This blocks the Python 3.9 rebuild.

Comment 1 Miro Hrončok 2020-01-23 08:25:16 UTC
This is a gcc bug. Marking as blocked, changing to ASSIGNED to avoid automated emails. Nothing the package maintainer can do here, but please keep this open.


Note You need to log in before you can comment on or make changes to this bug.